=== debian/changelog ===
ioapps (1.4r2-3) unstable; urgency=low

  * [e601c06] Limit architecture to linux-any.
    Thanks to Adam D. Barratt (Closes: #722922)
  * [e5cd088] Fix Vcs links

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 21 Nov 2013 11:36:33 +0530

ioapps (1.4r2-2) unstable; urgency=low

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 16 Jun 2013 14:04:15 +0530

ioapps (1.4r2-1) experimental; urgency=low

  * Initial release (Closes: #705263)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 20 Apr 2013 14:19:52 +0530
