=== debian/control ===
Source: ioapps
Section: devel
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9.20120312), help2man, python-all, python-dev
Standards-Version: 3.9.3
Homepage: https://code.google.com/p/ioapps/
Vcs-Git: git://anonscm.debian.org/collab-maint/ioapps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ioapps.git;a=summary
X-Python-Version: >= 2.7

Package: ioapps
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, strace, python-qt4, python-matplotlib
Description: IO profiler and IO traces replayer
 IOApps is an application level profiling and tracing utility suite
 .
 ioreplay is mainly intended for replaying of recorded (using strace)
 IO traces, which is useful for standalone benchmarking. It provides
 many features to ensure validity of such measurements
 .
 ioprofiler is a GUI application for profiling application's IO access
 pattern. It shows all the read/written files by the traced application,
 how many reads were performed, how much data were read and how much time
 was spent reading for each file. Most importantly, it produces nice
 diagrams showing read/write access pattern (i.e. whether the application
 was reading sequentially or randomly) in how big chunks etc
