=== debian/watch ===
version=3

opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://ioapps.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/ioapps/downloads/detail[?]name=ioapps-([0-9.]+)\.tar\.gz.*
